<div class="details">
  <layout-summary
    [title]="'CUSTOMERS.PRE_CUSTOMER_PROFILE.DETAILS.TITLE' | translate"
    [isLoading]="isLoading$ | async"
  >
    <layout-summary-item
      *ngFor="let item of preCustomerItems$ | async"
      [name]="item.key"
      [value]="item.value"
      [isValueBold]="true"
    ></layout-summary-item>
    <ng-container *ngIf="(preCustomerOthersItems$ | async)?.length > 0">
      <hr />
      <layout-summary-items-category
        [title]="'CUSTOMERS.PRE_CUSTOMER_PROFILE.DETAILS.OTHERS' | translate"
      >
        <layout-summary-item
          *ngFor="let item of preCustomerOthersItems$ | async"
          [name]="item.key"
          [value]="item.value"
          [isHighlighted]="true"
          [isValueBold]="true"
        ></layout-summary-item>
      </layout-summary-items-category>
    </ng-container>
  </layout-summary>
</div>
